/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: BlueBillApplicationTests.java,v c9aee682bc72 2010/08/06 15:21:23 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android;

import android.test.ApplicationTestCase;
import android.test.suitebuilder.annotation.SmallTest;
import org.openide.util.Lookup;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class BlueBillApplicationTests extends ApplicationTestCase<BlueBillApplication>
  {
    public BlueBillApplicationTests()
      {
        super(BlueBillApplication.class);
      }

//    @Override
//    protected void setUp()
//      throws Exception
//      {
//        super.setUp();
//      }
//
//    @SmallTest
//    public void testPreconditions()
//      {
//      }
      
    @SmallTest
    public void mustCreateApplicationWithoutErrors()
      {
        createApplication(); 
      }

    @SmallTest
    public void mustUseBlueBillLookupAsTheDefaultLookup()
      {
        createApplication();
        final Lookup lookup = Lookup.getDefault();
        assertNotNull("Default Lookup is not null", lookup);
        assertTrue("Default Lookup is not an instance of BlueBillLookup", lookup instanceof BlueBillLookup);
      }
  }
